> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/regulatory-documents/delete-document-request-item.md).

# Delete Document Request Item

Remove a line item from a draft document request.

`/regulatory-documents/request/:request_id/items/:item_id`

<mark style="color:red;">`DELETE`</mark> `https://api.terminal.africa/v1/regulatory-documents/request/:request_id/items/:item_id`

**Draft only.** Re-matches `available_documents` after deletion.

#### Path Parameters

| Name                                          | Type   | Description                                 |
| --------------------------------------------- | ------ | ------------------------------------------- |
| request\_id<mark style="color:red;">\*</mark> | String | Document request id. e.g. `DRQ-ABC1234567`. |
| item\_id<mark style="color:red;">\*</mark>    | String | Item id to remove. e.g. `DRI-ITEM002`.      |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |
| Content-Type<mark style="color:red;">\*</mark>  | String | Set value to `application/json`  |

{% tabs %}
{% tab title="200: OK Document request item deleted successfully" %}

```json
{
    "status": true,
    "message": "Document request item deleted successfully",
    "data": {
        "request_id": "DRQ-ABC1234567",
        "status": "draft",
        "context": {
            "items": [
                {
                    "item_id": "DRI-ITEM001",
                    "description": "Roasted coffee",
                    "hs_code": "0901.21",
                    "value": 10,
                    "currency": "USD",
                    "quantity": 1,
                    "weight": 1,
                    "weight_unit": "kg"
                }
            ]
        },
        "available_documents": []
    }
}
```

{% endtab %}
{% endtabs %}

#### 404: Item not found

```json
{
    "status": false,
    "message": "Item not found for item_id - DRI-INVALID",
    "data": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.terminal.africa/tship/regulatory-documents/delete-document-request-item.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
